Subject: [alpine-aports] [PATCH] testing/at: upgrade to 3.1.18

From: Alexander Belkov <[email-masked]>
Date: Sat, 5 Mar 2016 03:40:10 +0000

Version 3.1.18 is currently tagged as testing but seems to be working OK. SELinux support has been turned off on this build.

---
 testing/at/10-Makefile.in-1.patch |  4 ++--
 testing/at/10-parsetime.l-1.patch |  4 ++--
 testing/at/10-parsetime.y-1.patch |  8 +++++---
 testing/at/APKBUILD               | 33 +++++++++++++++++----------------
 4 files changed, 26 insertions(+), 23 deletions(-)

diff --git a/testing/at/10-Makefile.in-1.patch b/testing/at/10-Makefile.in-1.patch
index efe662a..3381e18 100644
--- a/testing/at/10-Makefile.in-1.patch
+++ b/testing/at/10-Makefile.in-1.patch
@@ -1,5 +1,5 @@
---- at-3.1.16/Makefile.in.orig
-+++ at-3.1.16/Makefile.in
+--- Makefile.orig.in
++++ Makefile.in
 @@ -12,7 +12,7 @@
  man1dir		= $(mandir)/man1
  man5dir		= $(mandir)/man5
diff --git a/testing/at/10-parsetime.l-1.patch b/testing/at/10-parsetime.l-1.patch
index 30fda69..61009e6 100644
--- a/testing/at/10-parsetime.l-1.patch
+++ b/testing/at/10-parsetime.l-1.patch
@@ -1,5 +1,5 @@
---- at-3.1.16/parsetime.l.orig
-+++ at-3.1.16/parsetime.l
+--- parsetime.orig.l
++++ parsetime.l
 @@ -32,6 +32,8 @@
      } while(0)
  %}
diff --git a/testing/at/10-parsetime.y-1.patch b/testing/at/10-parsetime.y-1.patch
index 33e3da2..9e8a332 100644
--- a/testing/at/10-parsetime.y-1.patch
+++ b/testing/at/10-parsetime.y-1.patch
@@ -1,12 +1,14 @@
---- at-3.1.16/parsetime.orig.y
-+++ at-3.1.16/parsetime.y
-@@ -17,6 +17,9 @@
+--- parsetime.orig.y
++++ parsetime.y
+@@ -17,6 +17,11 @@
  extern int yylex();
  
  int add_date(int number, int period);
++
 +#ifndef __isleap
 +#define __isleap(year) ((year) % 4 == 0 && ((year) % 100 != 0 || (year) % 400 == 0))
 +#endif
++
  %}
  
  %union {
diff --git a/testing/at/APKBUILD b/testing/at/APKBUILD
index 85cbf4e..d4b08dd 100644
--- a/testing/at/APKBUILD
+++ b/testing/at/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: Alexander Belkov <[email-masked]>
 # Maintainer: Alexander Belkov <[email-masked]>
 pkgname=at
-pkgver=3.1.16
-pkgrel=4
+pkgver=3.1.18
+pkgrel=0
 pkgdesc="AT and batch delayed command scheduling utility and daemon"
 url="http://packages.qa.debian.org/a/at.html"
 arch="all"
@@ -20,13 +20,13 @@ source="http://http.debian.net/debian/pool/main/a/at/at_$pkgver.orig.tar.gz
 	atd.initd
 	"
 
-_builddir="${srcdir}/at-${pkgver}"
+_builddir=${srcdir}
 prepare() {
 	local i
 	cd "$_builddir"
 	for i in $source; do
 		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		*.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
 		esac
 	done
 }
@@ -36,6 +36,7 @@ build() {
 	LEXLIB=-lfl \
 	./configure --prefix=/usr \
 	            --sbindir=/usr/sbin \
+		    --runstatedir=/var/run \
 		    --with-daemon_username=at \
 		    --with-daemon_groupname=at \
 	            --with-jobdir=/var/spool/atd \
@@ -55,21 +56,21 @@ package() {
 		"$pkgdir"/etc/init.d/atd || return 1
 }
 
-md5sums="d05da75d9b75d93917ffb16ab48b1e19  at_3.1.16.orig.tar.gz
-abb292896ed30e1f248dfebf4c4a6fb8  10-parsetime.l-1.patch
-39823f4034d2b5b2000ca717938f930f  10-parsetime.y-1.patch
-519f72f88e58b5ce79aff376ec90fcc9  10-Makefile.in-1.patch
+md5sums="f67a7aab557cd5b4a1311079a08acebe  at_3.1.18.orig.tar.gz
+a1b7536d7f88f509644d10f8220d518c  10-parsetime.l-1.patch
+5195f745ccd42582032a433928a88ed5  10-parsetime.y-1.patch
+fe699a9c3d437f3ab1b57736501bb940  10-Makefile.in-1.patch
 74cc1c60799e0a786ac7094b532f01b1  at.allow
 86fec213b2337300ea6641de9098d57a  atd.initd"
-sha256sums="cb9af59c6a54edce9536ba629841055409d1f89d8ae26494727a97141fb4d5c1  at_3.1.16.orig.tar.gz
-0f2bc8e5dbbc55d2b45a1d1bd5bb753180539d37e298d062daf090b055e84494  10-parsetime.l-1.patch
-baad966d910912a2c516fcb13f6f09b032e3ed4f677158e943c99f35cd31d9d8  10-parsetime.y-1.patch
-9ef0710b066f02665819d03ac85c161398b8eef3558a4645481c1e926cb41f79  10-Makefile.in-1.patch
+sha256sums="dbd5c8cb8edd53ef467363c3af0391c08769f1dbbd4d5002c59a4cd4cac11d52  at_3.1.18.orig.tar.gz
+b2cb905962f1b9021faf7aa5d612a6b4a4920abb659936d79b9ebdf33eb2f981  10-parsetime.l-1.patch
+7086395b7710c18e0954fcb7ab9472d91b2ca07c3935e705b4caf2427e39136b  10-parsetime.y-1.patch
+615af791025de65594d639f521d2636721329bbb29b5b3cc56f7cb37251454fa  10-Makefile.in-1.patch
 53175bcc0524f37b47062fafdda28e3f8eb91d519ca0a184ca71bbebe72f969a  at.allow
 3e29a0e5495309dc4c59c66de03b49b2690d1b9748867ca9329370b7b91f5f1a  atd.initd"
-sha512sums="d63132536d01153c4b38499b316c8a7980cd47a75b00fb5edc6e41f24345f97b55b20e5801d50f1bde2f337acc7bdb7e318456c241415e7b7bddee7e51e68ad5  at_3.1.16.orig.tar.gz
-5a8b180075be604e70d7ef311da9f143425a5e669c8fc5e58b43177fdbb0108e3ad4c5d1edea68c9b013fd92fbbad7f9dd1ea0da51ffb1e745ff9ffa244f3401  10-parsetime.l-1.patch
-130e1cf3c309516d7c3eed2af24a208f82db2367df7c594001695943e8408f77d6b33597e16e128b5c4a9732f3b8c2d5225e7c3b0265512b2b1a92b24b83fcbc  10-parsetime.y-1.patch
-40bdb7726b904a82125ce68971d995a623ee2fad42f7092ade227c08ba1bc07a50e184677b66c8b9375aa97370ef9dcd6f583a4f857962630e8cf51bdb7a9ef4  10-Makefile.in-1.patch
+sha512sums="5ec7512663461ffa1922cef0d99c3cc4882defbea7b1ab855b05bb83e9d3817535db73db74413bcc8af005c956032ec3dc7c83ac16fde96bb315094dae654042  at_3.1.18.orig.tar.gz
+1dffcaa1a2c9e469ffdee9b204d4a28f0e2f03e37b28b954406d41279b472686b6b7c4bcc454a2e830992cc60be2bf5b81e2e6f0093e0f674ab38a75c2a254ec  10-parsetime.l-1.patch
+306f8ed99b70956e01e76f4b8aa336978c3bbe8600ff52ad99c7fbcc0a7d8107e7f3cd4ebdad265df0c30663665715e73416fe7ac7436b5d13f07dda78f3eafa  10-parsetime.y-1.patch
+26db0489d011f2e7834fe3fe217f058e20dd6882edb470f09c859883c064a1422f4a7775fe35992176004292632e40e0f17eb6e05f2724983ea1bf17d7da732f  10-Makefile.in-1.patch
 21e1bc024bd76c76b68e04614c6def5b03fd4b658e59bfde065b464b520f463711b795455e3a5c81a8a1946b2bca2f83d6c19300a4d3326ce17959a7cbc0846a  at.allow
 fe5c075566ef1955e0eb4b4446fe1ea401940df6e0f29e4e2f1baf93e231214db58c707e99b16bb3a3c8c288a05fc390a44c6f09fde50d31f0ac631a98d86c2d  atd.initd"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---